DESCRIPTION="Xfce4 Window Manager"
SECTION = "x11/wm"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=04a01abcbdabffae1ca26335a293276b"
PR = "r0"

DEPENDS = "virtual/libx11 libxpm gtk+ libxfce4util libxfce4ui xfconf libwnck dbus-glib startup-notification"
RDEPENDS_${PN} = "xfwm4-theme-default"

inherit xfce update-alternatives

EXTRA_OECONF += " --enable-startup-notification"

PACKAGES_DYNAMIC += "xfwm4-theme-*"

python populate_packages_prepend () {
	themedir = bb.data.expand('${datadir}/themes', d)
	do_split_packages(d, themedir, '^(.*)', 'xfwm4-theme-%s', 'XFWM4 theme %s', allow_dirs=True)
}

ALTERNATIVE_NAME = "x-window-manager"
ALTERNATIVE_LINK = "${bindir}/x-window-manager"
ALTERNATIVE_PATH = "${bindir}/xfce4-session"
ALTERNATIVE_PRIORITY = "30"

FILES_${PN} += "${libdir}/xfce4/xfwm4/helper-dialog \
                ${datadir}/xfwm4/defaults \
               "

FILES_${PN}-dbg += "${libexecdir}/xfce4/xfwm4/.debug/*"
SRC_URI[md5sum] = "447433dca613180ebd6cfed4beb1c1c9"
SRC_URI[sha256sum] = "20097fc4dd651bcf5dcd5204aa3a5b817be54176e28a56a2cc808c3218dad3e7"
